#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


from pyams_content.component.paragraph.interfaces.map import have_gis
if have_gis:

    # import standard library

    # import interfaces
    from onf_website.component.paragraph.interfaces.map import IMapParagraph
    from pyams_content.component.paragraph.interfaces import IParagraphFactory
    from pyams_content.component.paragraph.interfaces.map import MAP_PARAGRAPH_TYPE

    # import packages
    from pyams_content.component.paragraph import BaseParagraphFactory
    from pyams_content.component.paragraph.map import MapParagraph as BaseMapParagraph
    from pyams_utils.registry import utility_config
    from zope.interface import implementer
    from zope.schema.fieldproperty import FieldProperty

    from onf_website import _


    @implementer(IMapParagraph)
    class MapParagraph(BaseMapParagraph):
        """Map paragraph"""

        _use_context_location = FieldProperty(IMapParagraph['use_context_location'])

        @property
        def use_context_location(self):
            return self._use_context_location

        @use_context_location.setter
        def use_context_location(self, value):
            self._use_context_location = value

        @property
        def no_use_context_location(self):
            return not bool(self.use_context_location)

        @no_use_context_location.setter
        def no_use_context_location(self, value):
            self.use_context_location = not bool(value)


    @utility_config(name=MAP_PARAGRAPH_TYPE, provides=IParagraphFactory)
    class MapParagraphFactory(BaseParagraphFactory):
        """Map paragraph factory"""

        name = _("Location map")
        content_type = MapParagraph
        secondary_menu = True
