#
# -*- encoding: utf-8 -*-
#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from onf_website.root.interfaces import ISiteRootToolsConfiguration
from zope.annotation.interfaces import IAnnotations

# import packages
from pyams_content.root import ISiteRoot, SiteRootToolsConfiguration as SiteRootToolsConfigurationBase, \
    SITEROOT_TOOLS_CONFIGURATION_KEY
from pyams_utils.adapter import adapter_config, get_annotation_adapter
from zope.interface import implementer


#
# Tools configuration
#

@implementer(ISiteRootToolsConfiguration)
class SiteRootToolsConfiguration(SiteRootToolsConfigurationBase):
    """Site root tools configuration"""

    leisures_tool_name = None
    reports_tool_name = None

    country_table_name = None
    region_table_name = None
    department_table_name = None
    territory_table_name = None
    agency_table_name = None
    unit_table_name = None
    target_table_name = None


@adapter_config(context=ISiteRoot, provides=ISiteRootToolsConfiguration)
def site_root_tools_configuration_factory(context):
    """Site root tools configuration factory"""
    return get_annotation_adapter(context, SITEROOT_TOOLS_CONFIGURATION_KEY, SiteRootToolsConfiguration)
